package com.hiramine.modelvieweretude;

import android.app.Activity;
import android.opengl.GLSurfaceView;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;

public class ModelViewerEtudeActivity extends Activity
{
	private GLSurfaceView	m_glsurfaceview;

	@Override
	public void onCreate( Bundle savedInstanceState )
	{
		super.onCreate( savedInstanceState );

		// フルスクリーンの指定
		getWindow().clearFlags( WindowManager.LayoutParams.FLAG_FORCE_NOT_FULLSCREEN );
		getWindow().addFlags( WindowManager.LayoutParams.FLAG_FULLSCREEN );

		// タイトルなし
		requestWindowFeature( Window.FEATURE_NO_TITLE );

		// GLSurfaceViewの生成
		m_glsurfaceview = new GLSurfaceView( this );

		// Rendererの作成と、GLSurfaceViewへのセット
		m_glsurfaceview.setRenderer( new OpenGLBaseRenderer() );

		// 絶え間ないレンダリングではなく都度のレンダリング（setRenderer()よりも後に呼び出す必要あり）
		m_glsurfaceview.setRenderMode( GLSurfaceView.RENDERMODE_WHEN_DIRTY );

		// ActivityにViewのセット
		setContentView( m_glsurfaceview );
	}

	// 他のアクティビティが起動したことで、バックグラウンドに追いやられた時
	@Override
	protected void onPause()
	{
		m_glsurfaceview.onPause();
		super.onPause();
	}

	// ポーズから復帰する時
	@Override
	protected void onResume()
	{
		super.onResume();
		m_glsurfaceview.onResume();
	}
}
